Description

(reported by Chris Baume)

Building and running the SV 2.4beta1 under Ubuntu 14.04 with GNOME 3 produces a window with no menu bar.

| can only assume this has something to do with Ubuntu having hacked their Qt libraries to support the Unity single-menubar layout,
even though in this case Unity is not in use.

Screenshot attached.

History

#1 - 2014-09-01 02:57 PM - Chris Cannam

Tested in a VM (god, Ubuntu is horrible by default) and confirmed.

Installing the Qt5 packages through apt-get install gt5-default gets us packages that can be used to build SV, but running it produces a window with no

menu bar.

The menubar is missing from the app window regardless of which desktop environment we're using -- with Unity you get the single menubar at top of

screen, which is the expected behaviour there; with Gnome or XFCE4 you don't get that, but you still don't get a menubar on the application window.

#2 - 2014-09-01 04:14 PM - Chris Cannam

There does appear to be a workaround for the end-user: uninstall the package appmenu-qgt5. (Note: not appmenu-qt which is for Qt4.)

Without this package installed, SV shows a menubar on the application window regardless of which desktop environment is in use (i.e. it also no
longer follows the Unity single-menubar style when running under that desktop).

A programmatic alternative, according to e.g. this forum post, is to call menuBar()->setNativeMenuBar(false); from the application code. We could do

that as standard in Linux builds, at the cost of losing single-menubar support for every user of SV regardless of desktop environment (potentially
disastrously alienating the two people in the world who actually like the way Unity tries to do things).

#3 - 2014-09-01 04:24 PM - Chris Cannam

Fixed in commit:8b51bfe70625 using the setNativeMenuBar workaround.

#4 - 2014-09-01 04:24 PM - Chris Cannam

- Status changed from New to Resolved

2024-04-20 1/2



http://askubuntu.com/questions/452079/using-kde-application-menus-missing-in-qt-apps

#5 - 2014-09-26 05:13 PM - Chris Cannam

- Status changed from Resolved to Closed
